<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.reflectionclass.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'ru',
  ),
  'this' => 
  array (
    0 => 'reflectionclass.initializelazyobject.php',
    1 => 'ReflectionClass::initializeLazyObject',
  ),
  'up' => 
  array (
    0 => 'class.reflectionclass.php',
    1 => 'ReflectionClass',
  ),
  'prev' => 
  array (
    0 => 'reflectionclass.implementsinterface.php',
    1 => 'ReflectionClass::implementsInterface',
  ),
  'next' => 
  array (
    0 => 'reflectionclass.innamespace.php',
    1 => 'ReflectionClass::inNamespace',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'ru',
    'path' => 'reference/reflection/reflectionclass/initializelazyobject.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="reflectionclass.initializelazyobject" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">ReflectionClass::initializeLazyObject</h1>
  <p class="verinfo">(PHP 8 &gt;= 8.4.0)</p><p class="refpurpose"><span class="refname">ReflectionClass::initializeLazyObject</span> &mdash; <span class="dc-title">Принудительно инициализирует ленивый объект</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-reflectionclass.initializelazyobject-description">
  <h3 class="title">Описание</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>ReflectionClass::initializeLazyObject</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.object.php" class="type object">object</a></span> <code class="parameter">$object</code></span>): <span class="type"><a href="language.types.object.php" class="type object">object</a></span></div>

  <p class="simpara">
   Метод принудительно инициализирует ленивый объект <code class="parameter">object</code>.
   Метод не подействует, если в аргументе передали не ленивый объект или объект
   уже инициализировали, иначе инициализация продолжается так, как описывает секция
   «<a href="language.oop5.lazy-objects.php#language.oop5.lazy-objects.initialization-sequence" class="link">Последовательность
   инициализации</a>».
  </p>

  <blockquote class="note"><p><strong class="note">Замечание</strong>: 
   <span class="simpara">
    В большей части случаев вызывать метод не потребуется, поскольку ленивые объекты
    инициализируются автоматически, при начале отслеживания состояния
    или изменении ленивого объекта.
   </span>
  </p></blockquote>
 </div>


 <div class="refsect1 parameters" id="refsect1-reflectionclass.initializelazyobject-parameters">
  <h3 class="title">Список параметров</h3>
  <dl>
   
    <dt><code class="parameter">object</code></dt>
    <dd>
     <span class="simpara">
      Объект, который требуется инициализировать.
     </span>
    </dd>
   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-reflectionclass.initializelazyobject-returnvalues">
  <h3 class="title">Возвращаемые значения</h3>
  <p class="simpara">
   Метод возвращает реальный экземпляр объекта,
   если объект <code class="parameter">object</code> оказался ленивым прокси,
   иначе возвращает сам <code class="parameter">object</code>.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-reflectionclass.initializelazyobject-examples">
  <h3 class="title">Примеры</h3>
  <div class="example" id="example-5393">
   <p><strong>Пример #1 Базовый пример принудительной инициализации ленивого объекта</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /><br /></span><span style="color: #007700">class </span><span style="color: #0000BB">Example<br /></span><span style="color: #007700">{<br />    public function </span><span style="color: #0000BB">__construct</span><span style="color: #007700">(public </span><span style="color: #0000BB">int $prop</span><span style="color: #007700">) {}<br />}<br /><br /></span><span style="color: #0000BB">$reflector </span><span style="color: #007700">= new </span><span style="color: #0000BB">ReflectionClass</span><span style="color: #007700">(</span><span style="color: #0000BB">Example</span><span style="color: #007700">::class);<br /><br /></span><span style="color: #0000BB">$object </span><span style="color: #007700">= </span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">newLazyGhost</span><span style="color: #007700">(function (</span><span style="color: #0000BB">$object</span><span style="color: #007700">) {<br />    echo </span><span style="color: #DD0000">"Initializer called\n"</span><span style="color: #007700">;<br />    </span><span style="color: #0000BB">$object</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">__construct</span><span style="color: #007700">(</span><span style="color: #0000BB">1</span><span style="color: #007700">);<br />});<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">initializeLazyObject</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   
<div class="example-contents"><p>
 Результат выполнения приведённого примера:
</p></div>

   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">lazy ghost object(Example)#3 (0) {
  [&quot;prop&quot;]=&gt;
  uninitialized(int)
}
Initializer called
object(Example)#3 (1) {
  [&quot;prop&quot;]=&gt;
  int(1)
}</pre>
</div>
   </div>
  </div>
 </div>


 <div class="refsect1 seealso" id="refsect1-reflectionclass.initializelazyobject-seealso">
  <h3 class="title">Смотрите также</h3>
  <ul class="simplelist">
   <li><a href="language.oop5.lazy-objects.php" class="link">Ленивые объекты</a></li>
   <li><span class="methodname"><a href="reflectionclass.newlazyghost.php" class="methodname" rel="rdfs-seeAlso">ReflectionClass::newLazyGhost()</a> - Создаёт новый экземпляр ленивого призрака</span></li>
   <li><span class="methodname"><a href="reflectionclass.marklazyobjectasinitialized.php" class="methodname" rel="rdfs-seeAlso">ReflectionClass::markLazyObjectAsInitialized()</a> - Помечает ленивый объект как инициализированный без вызова инициализатора или фабрики</span></li>
   <li><span class="methodname"><a href="reflectionclass.isuninitializedlazyobject.php" class="methodname" rel="rdfs-seeAlso">ReflectionClass::isUninitializedLazyObject()</a> - Проверяет, ленив ли и неинициализирован ли объект</span></li>
  </ul>
 </div>


</div><?php manual_footer($setup); ?>